Skip to content
Developer Tools
Accelerate development using AI assistants and tools

Access Token

  • Endpoint: POST /v1.0/access-token/b2b
  • Tags: Indonesia SNAP/Security

Description

The Disbursement and Collection APIs will be processed with a valid Access Token added to the API request header. The Access Token is generally valid for 60 minutes. Service Code=73

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYesMedia type of the resource, i.e. application/json.
X-CLIENT-KEYheaderstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax.
X-TIMESTAMPheaderstringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time.
X-SIGNATUREheaderstringYesRepresents signature of a request.
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: ""
  • X-CLIENT-KEY: ""
  • X-TIMESTAMP: ""
  • X-SIGNATURE: ""
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
grantTypestringYesFixed value, 'client_credentials'. The client can request an access token using only its client credentials.
additionalInfoobjectYes
additionalInfo.merchantNostringNoThe unique identifier generated when the merchant signs the contract with PayerMax. Account Inquiry, Disbursement Request, and Transaction Inquiry are merchant-level APIs and require the memberNo.
additionalInfo.memberIdstringNoThe unique identifier generated when the merchant signs the contract with PayerMax. Balance Inquiry is a member-level API and requires the memberId

Example

json
"{\n  \"grantType\": \"client_credentials\",\n  \"additionalInfo\": {\n    \"merchantNo\": \"P01020128044609\"\n    \"memberId\": \"20250619P01B00000075000002\"\n  }\n}"

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
responseCodestringYesResponse code, following the SNAP standard.
responseMessagestringYesResponse description, following the SNAP standard.
expiresInstringYesSession expiry in 60 min.
accessTokenstringYesA string representing an authorization issued to the client that used to access protected resources.
tokenTypestringYesFixed value ‘Bearer’,includes the access token string in the request.

Response Example

json
{
  "expiresIn": "3600",
  "responseMessage": "Successful",
  "accessToken": "eyJidXMiOiIxIiwidmVyIjoidjIiLCJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJhcHBJZCI6IjZlNTU1MjgyMTZhZTRkNDlhYTRmN2ZkOTYyMTQ5MDY0IiwiZXhwIjoiMTc4NzY0NDQzNyIsIm1lcmNoYW50Tm8iOiJQMDEwMjAxMjgwNDQ2MDkifQ.x71VnIRzDAA7iAksryV2jSIdrxgyiXxLV1agkpsOkvs",
  "tokenType": "Bearer",
  "responseCode": "2007300"
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.